Agent BrainsAgent Brains
APICategories

Create category

Creates a Knowledge Base category.

POST
/knowledge-base/categories
x-api-key<token>

Preferred authentication header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.agent-brains.com/knowledge-base/categories" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "categoryAlias": "string",    "policy": "string"  }'
{
  "_id": "string",
  "name": "string",
  "description": "string",
  "categoryAlias": "string",
  "policy": "string",
  "parent": {},
  "children": [
    "string"
  ],
  "entities": [
    "string"
  ],
  "permissions": {
    "canDelete": true,
    "canChangeHierarchy": true
  },
  "createdAt": "string",
  "updatedAt": "string"
}
Empty
Empty